%global commit0 aa047e156339bc54f46cf6ccc7fa99f24d94c9d2
%global shortcommit0 %(bash -c 'c=%{commit0}; echo ${c:0:7}')
%global workdir %{_builddir}/gopassivedns-%{commit0}
%global goworkdir %{workdir}/gocode/src/github.com/phillipmartin/gopassivedns

Name:		gopassivedns
Version:	0.1.1alpha
Release:	20161031git%{shortcommit0}%{?dist}
Summary:	Go daemon to monitor passive DNS

License:	MIT
URL:		https://github.com/Phillipmartin/gopassivedns
Source0:	https://github.com/Phillipmartin/gopassivedns/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:	gcc make pkgconfig
BuildRequires:	golang libpcap libpcap-devel
BuildRequires:  golang(github.com/google/gopacket)
BuildRequires:  golang(github.com/quipo/statsd)
BuildRequires:  golang(github.com/joho/godotenv)
BuildRequires:  golang(github.com/Sirupsen/logrus)
BuildRequires:  golang(gopkg.in/natefinch/lumberjack.v2)
BuildRequires:  golang(github.com/pquerna/ffjson/ffjson)
#Requires:	

%description
A network-capture based DNS logger, inspired by https://github.com/gamelinux/passivedns. It
uses gopacket to deal with libpcap and packet processing. It outputs JSON logs. It is
intended to deal with high volume query capture in environments with anywhewre from one to
hundreds of DNS resolvers.


%prep
rm -rf %{workdir}/*
mkdir -p %{goworkdir}
tar xzf %{_sourcedir}/%{name}-%{shortcommit0}.tar.gz -C %{goworkdir} --strip-components 1



%build
export GOPATH=/usr/share/gocode:%{workdir}/gocode
cd %{goworkdir}
go build -o gopassivedns

%install
mkdir -p %{buildroot}%{_sbindir}
cp %{goworkdir}/gopassivedns %{buildroot}%{_sbindir}


%files
%defattr(-,root,root,-)
%{_sbindir}/gopassivedns


%changelog
* Wed Jan 18 2017 Jon Stephens <jstephens@palantir.com> - 0.1.1alpha-20161031gitaa047e15
- initial packaging
